Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2889013002: DevTools: introduce uiSourceCode.mimeType() method (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by lushnikov
Modified:
2 months, 1 week ago
Reviewers:
dgozman
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

DevTools: introduce uiSourceCode.mimeType() method This patch introduces the uiSourceCode.mimeType() method instead of static NetworkProject.uiSourceCodeMimeType(). This is necessary to separate uiSourcecode's mimetypes from NetworkProject. This is also natural since UISourceCode's mimeType is known by its creator. R=dgozman BUG=670180 Review-Url: https://codereview.chromium.org/2889013002 Cr-Commit-Position: refs/heads/master@{#473325} Committed: https://chromium.googlesource.com/chromium/src/+/b0191dbc4ae6b9e764367ce59f737c02be0dd833

Patch Set 1 #

Patch Set 2 : kill symbols #

Patch Set 3 : implement mimeType in project + add test #

Patch Set 4 : nit #

Patch Set 5 : one more remake #

Patch Set 6 : nit #

Total comments: 2

Patch Set 7 : address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+141 lines, -57 lines) Patch
A third_party/WebKit/LayoutTests/http/tests/inspector/persistence/persistence-mimetype-on-rename.html View 1 2 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/http/tests/inspector/persistence/persistence-mimetype-on-rename-expected.txt View 1 2 1 chunk +9 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/inspector/sources/ui-source-code-highlight.php View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/file-system-project.html View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/sources/debugger-ui/ui-source-code.html View 1 2 3 4 2 chunks +24 lines, -11 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/sources/debugger/network-uisourcecode-provider.html View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/sources/sass-highlighter.html View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js View 1 2 3 4 5 6 2 chunks +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/bindings/ContentProviderBasedProject.js View 1 2 3 4 5 4 chunks +16 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/bindings/DefaultScriptMapping.js View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/bindings/NetworkProject.js View 1 2 6 chunks +6 lines, -24 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/bindings/SASSSourceMapping.js View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/changes/ChangesView.js View 1 chunk +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/persistence/FileSystemWorkspaceBinding.js View 1 2 3 4 1 chunk +9 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/snippets/ScriptSnippetModel.js View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sources/InplaceFormatterEditorAction.js View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sources/SourceFormatter.js View 1 2 3 4 2 chunks +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/sources/SourcesView.js View 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/workspace/UISourceCode.js View 1 2 3 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/workspace/Workspace.js View 1 2 3 4 1 chunk +6 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (18 generated)
lushnikov
please, take a look!
2 months, 1 week ago (2017-05-17 21:54:52 UTC) #1
lushnikov
please, take another look!
2 months, 1 week ago (2017-05-18 20:40:33 UTC) #8
lushnikov
please, take one more another look!
2 months, 1 week ago (2017-05-19 03:06:21 UTC) #14
dgozman
lgtm https://codereview.chromium.org/2889013002/diff/100001/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js File third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js (right): https://codereview.chromium.org/2889013002/diff/100001/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js#newcode78 third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js:78: url, Common.resourceTypes.Script, script.sourceURL?
2 months, 1 week ago (2017-05-19 18:55:52 UTC) #18
lushnikov
https://codereview.chromium.org/2889013002/diff/100001/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js File third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js (right): https://codereview.chromium.org/2889013002/diff/100001/third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js#newcode78 third_party/WebKit/Source/devtools/front_end/bindings/CompilerScriptMapping.js:78: url, Common.resourceTypes.Script, On 2017/05/19 18:55:52, dgozman wrote: > script.sourceURL? ...
2 months, 1 week ago (2017-05-19 19:00:51 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889013002/120001
2 months, 1 week ago (2017-05-19 19:03:04 UTC) #22
commit-bot: I haz the power
2 months, 1 week ago (2017-05-19 21:23:52 UTC) #25
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/b0191dbc4ae6b9e764367ce59f73...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973